Bulk-import products from a CSV file
POST
/api/public/v1/imports/products
Code sample: cURL
curl --request POST \ --url 'https://api.getzutax.com/api/public/v1/imports/products' \ --header 'Authorization: Bearer <token>'Async-only. Required CSV columns: name, item_type. See the internal /api/v1/products-bulk/template endpoint for the full optional-column list.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type multipart/form-data
Body_import_products_csv_api_public_v1_imports_products_post
object
file
required
File
string format: binary
Responses
Section titled “ Responses ”Successful Response
Media type application/json
JobAcceptedResponse
202 response body returned when an ERP POSTs ?async=true.
object
job_id
required
Job Id
string format: uuid
status
required
Status
string
result_url
required
Result Url
string
Examples
Example Sample response
202 response example
{ "job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "queued", "result_url": "string"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}